services:
  _defaults:
    autowire: true
    autoconfigure: true

  AutoAdmin\Bundle\Admin\Form\TypeGuesser\Guesser\:
    resource: '../../Form/TypeGuesser/Guesser/*'
    tags:
      - 'aa_admin.type_guesser'

  autoadmin.form.type.hidden_entity:
    public: true
    class: 'AutoAdmin\Bundle\Admin\Form\HiddenEntityType'
    arguments:
      - '@Doctrine\ORM\EntityManagerInterface'
    tags:
      - { name: form.type }

  AutoAdmin\Bundle\Admin\Form\Type\AdminContentType:
    tags:
      - { name: 'form.type' }
    arguments:
      - '@AutoAdmin\Bundle\Admin\Configuration\ConfigManager'
      - '@AutoAdmin\Bundle\Admin\Form\FormOptionNormalizer'
      - '@AutoAdmin\Bundle\Admin\Helper\AccessHelper'
      - '@AutoAdmin\Bundle\Core\Logic\LogicTester'


  AutoAdmin\Bundle\Admin\Form\Type\TranslatableType:
    tags:
      - { name: 'form.type' }
    arguments:
      - '@AutoAdmin\Bundle\Admin\Configuration\ConfigManager'
      - '@AutoAdmin\Bundle\Admin\Form\FormOptionNormalizer'
      - '@AutoAdmin\Bundle\Admin\Helper\AccessHelper'

  AutoAdmin\Bundle\Admin\Form\Type\TranslationType:
    tags:
      - { name: 'form.type' }
    arguments:
      - '@AutoAdmin\Bundle\Admin\Configuration\ConfigManager'
      - '@AutoAdmin\Bundle\Admin\Form\FormOptionNormalizer'
      - '@AutoAdmin\Bundle\Admin\Helper\AccessHelper'

  AutoAdmin\Bundle\Admin\Form\Type\ContentReferenceType:
    tags:
      - 'form.type'
    arguments:
      - '@AutoAdmin\Bundle\Content\Configuration\ConfigManager'
      - '@AutoAdmin\Bundle\Admin\Configuration\ConfigManager'
      - '@Doctrine\Persistence\ManagerRegistry'
      - '@logger'

  AutoAdmin\Bundle\Admin\Form\FormOptionNormalizer: ~


  AutoAdmin\Bundle\Admin\Form\AdminExtension:
    tags:
      - 'form.type_extension'

  AutoAdmin\Bundle\Admin\Form\AdminCheckboxExtension:
    tags:
      - 'form.type_extension'